package market.Qms.qcm.mapper;
import java.util.List;

import market.Qms.qcm.vo.QcmJhySampleConsignM;
import market.Qms.qcm.vo.SlmOrdDesignSampleM;

import com.hnshituo.orm.GenericMapper;

public interface QcmJhySampleConsignMMapper extends GenericMapper<QcmJhySampleConsignM,Object> {

	List<SlmOrdDesignSampleM> getPHYS(String design_key, String psc, String org_code, String string);

	int getCount(String testNumber);

	List<QcmJhySampleConsignM> findByLu(String luCode, String zha_code);

	List<QcmJhySampleConsignM> fingByTestCode(String testNumber);

	int GetMaxSerialNo(String table_name, String colunmn, String prefix);

	//获取检验号
		public List<QcmJhySampleConsignM> getinspection(String str);
	/*QcmJhySampleConsignM findByTestNumber(String testNumber);*/
	//获取检验号{分页}
	public List<QcmJhySampleConsignM> getinspection1(String bat,String ins,String boardNo,int index,int size);
	public void deleteByInspection(String inspection_lot);
}
